> ## Documentation Index
> Fetch the complete documentation index at: https://docs.saucerswap.finance/llms.txt
> Use this file to discover all available pages before exploring further.

# Get associated pools containing the token by id

| Hedera Network | Base URL                                                                   |
| -------------- | -------------------------------------------------------------------------- |
| Mainnet        | [https://api.saucerswap.finance](https://api.saucerswap.finance)           |
| Testnet        | [https://test-api.saucerswap.finance](https://test-api.saucerswap.finance) |
| Previewnet     | *Not supported*                                                            |


## OpenAPI

````yaml GET /tokens/associated-pools/{tokenId}
openapi: 3.0.4
info:
  title: SaucerSwap REST API
  version: 1.0.0
servers:
  - url: https://api.saucerswap.finance
  - url: https://test-api.saucerswap.finance
security: []
paths:
  /tokens/associated-pools/{tokenId}:
    get:
      tags:
        - Tokens
      summary: Get associated pools containing the token by id
      parameters:
        - $ref: '#/components/parameters/ApiKeyParam'
        - name: tokenId
          description: Token id (shard.realm.num)
          in: path
          required: true
          schema:
            type: string
            example: 0.0.731861
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/Pool'
components:
  parameters:
    ApiKeyParam:
      name: x-api-key
      in: header
      required: true
      schema:
        type: string
        default: 875e1017-87b8-4b12-8301-6aa1f1aa073b
      description: >-
        API key for authentication. The demo api key provided is globally rate
        limited. Do not use in production.
  schemas:
    Pool:
      type: object
      properties:
        id:
          type: integer
          example: 213
          description: Pool id
        contractId:
          type: string
          example: 0.0.1465865
          description: Contract id (shard.realm.num)
        lpToken:
          $ref: '#/components/schemas/LPToken'
        lpTokenReserve:
          type: string
          description: LP token reserve in its smallest unit
          example: '23490447137584'
        tokenA:
          $ref: '#/components/schemas/TokenA'
        tokenReserveA:
          type: string
          description: Token A reserve in its smallest unit
          example: '25185652046087'
        tokenB:
          $ref: '#/components/schemas/TokenB'
        tokenReserveB:
          type: string
          description: Token B reserve in its smallest unit
          example: '22634187941347'
      required:
        - id
        - contractId
        - lpToken
        - lpTokenReserve
        - tokenA
        - tokenReserveA
        - tokenB
        - tokenReserveB
    LPToken:
      allOf:
        - $ref: '#/components/schemas/TokenSimple'
      example:
        id: 0.0.1465866
        name: SS-LP SAUCE - XSAUCE
        symbol: SAUCE - XSAUCE
        decimals: 8
        priceUsd: 3.7760690082569948
    TokenA:
      allOf:
        - $ref: '#/components/schemas/Token'
      example:
        id: 0.0.731861
        name: SAUCE
        symbol: SAUCE
        decimals: 6
        priceUsd: 0.01760954
        description: >-
          SaucerSwap is an open source and non-custodial AMM protocol native to
          Hedera.
        website: https://www.saucerswap.finance/
        sentinelReport: https://sentinel.headstarter.org/details/saucerswap
        twitterHandle: SaucerSwapLabs
    TokenB:
      allOf:
        - $ref: '#/components/schemas/Token'
      example:
        id: 0.0.1460200
        name: xSAUCE
        symbol: XSAUCE
        decimals: 6
        priceUsd: 0.01959459
        description: >-
          SaucerSwap is an open source and non-custodial AMM protocol native to
          Hedera.
        website: https://www.saucerswap.finance/
        sentinelReport: https://sentinel.headstarter.org/details/saucerswap
        twitterHandle: SaucerSwapLabs
    TokenSimple:
      type: object
      properties:
        id:
          type: string
          description: Token id (shard.realm.num)
          example: 0.0.731861
        name:
          type: string
          description: Token name
          example: SAUCE
        symbol:
          type: string
          description: Token syymbol
          example: SAUCE
        decimals:
          type: integer
          description: Token decimal places
          example: 6
        priceUsd:
          type: number
          description: Token price in terms of USD
          format: float
          example: 0.01760954
      required:
        - id
        - name
        - symbol
        - decimals
        - priceUsd
    Token:
      type: object
      properties:
        id:
          type: string
          description: Token id (shard.realm.num)
          example: 0.0.731861
        name:
          type: string
          description: Token name
          example: SAUCE
        symbol:
          type: string
          description: Token symbol
          example: SAUCE
        icon:
          type: string
          description: Relative path to the token icon
          example: /images/tokens/sauce.svg
        decimals:
          type: integer
          description: Token decimal places
          example: 6
        price:
          type: string
          example: '36806544'
          description: Token price in tinybar
        priceUsd:
          type: number
          description: Token price in terms of USD
          example: 0.01763457
        dueDiligenceComplete:
          type: boolean
          description: Token due diligence completed?
          example: true
        isFeeOnTransferToken:
          type: boolean
          description: Token has fees on transfer?
          example: false
        description:
          type: string
          description: Token description
          example: >-
            SaucerSwap is an open source and non-custodial AMM protocol native
            to Hedera.
        website:
          type: string
          description: Token website link
          example: https://www.saucerswap.finance/
        sentinelReport:
          type: string
          description: Token sentinel report link
          example: https://sentinel.headstarter.org/details/saucerswap
        twitterHandle:
          type: string
          description: Token sentinel report link
          example: SaucerSwapLabs
      required:
        - id
        - name
        - symbol
        - icon
        - decimals
        - price
        - priceUsd
        - dueDiligenceComplete
        - isFeeOnTransferToken
        - description
        - website
        - sentinelReport
        - twitterHandle

````